{
    "name": "@apps/frontend",
    "private": true,
    "version": "0.0.1",
    "type": "module",
    "scripts": {
        "dev": "vite dev --port 5174",
        "build": "NODE_ENV=build vite build",
        "prod": "HOST=0.0.0.0 PORT=3000 node ./build/index.js",
        "preview": "vite preview",
        "prepare": "svelte-kit sync || echo ''",
        "check": "svelte-kit sync && svelte-check --tsconfig ./tsconfig.json",
        "check:watch": "svelte-kit sync && svelte-check --tsconfig ./tsconfig.json --watch",
        "format": "prettier --write .",
        "lint": "prettier --check .",
        "test:unit": "vitest"
    },
    "dependencies": {
        "@opentelemetry/api": "^1.9.0",
        "@opentelemetry/auto-instrumentations-node": "^0.70.1",
        "@opentelemetry/exporter-logs-otlp-proto": "^0.212.0",
        "@opentelemetry/exporter-metrics-otlp-proto": "^0.212.0",
        "@opentelemetry/exporter-trace-otlp-proto": "^0.212.0",
        "@opentelemetry/sdk-logs": "^0.212.0",
        "@opentelemetry/sdk-node": "^0.212.0",
        "@pkg/db": "workspace:*",
        "@pkg/keystore": "workspace:*",
        "@pkg/logger": "workspace:*",
        "@pkg/logic": "workspace:*",
        "@pkg/result": "workspace:*",
        "@pkg/settings": "workspace:*",
        "date-fns": "^4.1.0",
        "import-in-the-middle": "^3.0.0",
        "nanoid": "^5.1.6",
        "neverthrow": "^8.2.0",
        "valibot": "^1.2.0"
    },
    "devDependencies": {
        "@iconify/json": "^2.2.434",
        "@internationalized/date": "^3.10.0",
        "@lucide/svelte": "^0.561.0",
        "@sveltejs/adapter-node": "^5.5.4",
        "@sveltejs/kit": "^2.53.4",
        "@sveltejs/vite-plugin-svelte": "^6.2.4",
        "@tailwindcss/forms": "^0.5.10",
        "@tailwindcss/typography": "^0.5.19",
        "@tailwindcss/vite": "^4.1.18",
        "@tanstack/table-core": "^8.21.3",
        "@types/qrcode": "^1.5.6",
        "bits-ui": "^2.14.4",
        "clsx": "^2.1.1",
        "embla-carousel-svelte": "^8.6.0",
        "formsnap": "^2.0.1",
        "layerchart": "2.0.0-next.43",
        "mode-watcher": "^1.1.0",
        "paneforge": "^1.0.2",
        "prettier": "^3.7.4",
        "prettier-plugin-svelte": "^3.4.0",
        "prettier-plugin-tailwindcss": "^0.7.2",
        "svelte": "^5.53.6",
        "svelte-check": "^4.4.4",
        "svelte-sonner": "^1.0.7",
        "sveltekit-superforms": "^2.30.0",
        "tailwind-merge": "^3.4.0",
        "tailwind-variants": "^3.2.2",
        "tailwindcss": "^4.1.18",
        "tw-animate-css": "^1.4.0",
        "typescript": "^5.9.3",
        "unplugin-icons": "^23.0.1",
        "vaul-svelte": "^1.0.0-next.7",
        "vite": "^7.2.6",
        "vitest": "^4.0.15"
    }
}
